%define aurox_ver 	12.0
%define	_srcdir		/usr/src

Name: 		gprs-easy-connect
Release:        8%{?dist}
Version: 	3.0.0
Packager: 	Jakub Wojnowski <jwojnowski@aurox.org>
Summary: 	GPRS internet dialer
License: 	GPL
Group: 		System/GUI/KDE
Url: 		http://easyconnect.linuxuser.hu
BuildArch: 	noarch
Source0: 	GPRS_Easy_Connect_300.tar.bz2
Source1:	gprsec.desktop
BuildRoot: 	%{_tmppath}/%{name}-%{PACKAGE_VERSION}
Requires:	ppp wget perl
Requires: 	perl-ExtUtils-Depends >= 0.205
Requires: 	perl-ExtUtils-PkgConfig >= 1.07
Requires: 	perl-Glib >= 1.081
Requires: 	perl-Gnome2 >= 1.021
Requires: 	perl-Gnome2-Canvas >= 1.002
Requires: 	perl-Gnome2-VFS >= 1.060
Requires: 	perl-Gtk2 >= 1.081
Requires: 	perl-Gtk2-TrayIcon >= 0.03



%description
The GPRS Easy Connect is a free GUI GPRS internet connecting program
for Linux OS.

%prep
%setup -q -n GPRS_Easy_Connect_300

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gprsec/images/icons
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gprsec/images/phones2
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gprsec/images/stocks
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gprsec/languages
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gprsec/sounds
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gprsec/themes/Bubbles-Revisited-GTK/gtk
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gprsec/tools

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/kde/

install -m 755 data/bin/gprsec $RPM_BUILD_ROOT%{_bindir}/gprsec
install -m 644 data/share/gprsec/images/icons/gprsec.png  $RPM_BUILD_ROOT%{_datadir}/gprsec/images/icons/gprsec.png
install -m 644 data/share/gprsec/images/t_and_b3.xpm  $RPM_BUILD_ROOT%{_datadir}/gprsec/images/t_and_b3.xpm
install -m 644 data/share/gprsec/images/w1.gif  $RPM_BUILD_ROOT%{_datadir}/gprsec/images/w1.gif
install -m 644 data/share/gprsec/images/w1.xpm  $RPM_BUILD_ROOT%{_datadir}/gprsec/images/w1.xpm
install -m 644 data/share/gprsec/images/phones2/*  $RPM_BUILD_ROOT%{_datadir}/gprsec/images/phones2
install -m 644 data/share/gprsec/images/stocks/*  $RPM_BUILD_ROOT%{_datadir}/gprsec/images/stocks
install -m 644 data/share/gprsec/languages/*  $RPM_BUILD_ROOT%{_datadir}/gprsec/languages
install -m 644 data/share/gprsec/sounds/*  $RPM_BUILD_ROOT%{_datadir}/gprsec/sounds
install -m 644 data/share/gprsec/themes/Bubbles-Revisited-GTK/gtk/*  $RPM_BUILD_ROOT%{_datadir}/gprsec/themes/Bubbles-Revisited-GTK/gtk
install -m 644 data/share/gprsec/tools/*  $RPM_BUILD_ROOT%{_datadir}/gprsec/tools
install -m 644 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/applications/kde/gprsec.desktop
install -m 644 data/share/gprsec/AUTHORS  $RPM_BUILD_ROOT%{_datadir}/gprsec/AUTHORS
install -m 644 data/share/gprsec/COPYING  $RPM_BUILD_ROOT%{_datadir}/gprsec/COPYING
install -m 644 data/share/gprsec/GNU_GPL_HU  $RPM_BUILD_ROOT%{_datadir}/gprsec/GNU_GPL_HU
install -m 644 data/share/gprsec/README  $RPM_BUILD_ROOT%{_datadir}/gprsec/README
install -m 644 data/share/gprsec/history  $RPM_BUILD_ROOT%{_datadir}/gprsec/history
install -m 644 data/share/gprsec/version  $RPM_BUILD_ROOT%{_datadir}/gprsec/version

%post
%postun

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%{_bindir}/
%{_datadir}/gprsec/
%{_datadir}/applications/kde/gprsec.desktop

%changelog
* Thu Jul 20 2006 Jakub Wojnowski <jwojnowski@aurox.org> 3.0.0-8
- added menu icon
- rewritten spec file

* Mon May 22 2006 Jakub Wojnowski <jwojnowski@aurox.org> 3.0.0-1
- initial release
